{% extends "page.html" %}

{% block head %}
<style type="text/css">
  {{ super() }}
      #main_container {
          background-color: rgb(245, 245, 245);
          padding: 1vw;
          -webkit-border-radius: 0.5vw;
          -moz-border-radius: 0.5vw;
          border-radius: 0.5vw;
          border: 1px solid;
          border-color: rgb(160, 160, 160);
          display: flex;
      }
      #maze_container {
          width: 60%;
          flex: initial;
          padding-right: 2vw;
          filter: drop-shadow( 0.3vw 0.3vw 0.3vw rgba(0, 0, 0, .5));
      }
      #control_container {
          flex: auto;
          border-radius: 0.5vw;
          background-color: rgb(240, 240, 240);
          border: 1px solid;
          border-color: rgb(160, 160, 160);
      }
</style>
{% endblock %}

{% block content %}
{{ super() }}
<div id="instructions">
  <h1>
    Niveau {{ niveau }}
  </h1>
  <p>
    {% block instructions_niveau %}
    {% endblock %}
  <p>
</div>
<div id="main_container">
  <div id="maze_container"></div>
  <div id="control_container">
    {% block control %}
    {% endblock %}
  </div>
</div>

{% block below_main %}
{% endblock %}

{% endblock %}
{% block end_body %}
{{ super() }}


<script type="module">
  import * as niveaux from '{{ SITEURL }}/theme/js/main.js';
  
  var niveau = niveaux.Niveau{{ niveau }}();
</script>

<script type="text/javascript" src="{{ SITEURL }}/theme/js_backward_compatibility/main_{{ niveau }}.js" nomodule></script>
{% endblock %}
